/*
 * Bounded.java - Defines a 'bounded' object
 * Copyright (C) 2000 Romain Guy
 * guy.romain@bigfoot.com
 * www.jext.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/**
 * <code>Bounded</code> defines the method <code>setRect()</code>
 * for objects which need it. It avoids to extends <code>Control</code>
 * adn thus it saves memory.
 * @author Romain Guy <guy.romain@bigfoot.com>
 * @version 1.0
 */

public class Bounded
{
  // simulates a control behavior
  protected int x, y, width, height;

  public Bounded() { }

  /**
   * See <code>waba.ui.Control</code> API documentation.
   */

  public void setRect(int x, int y, int width, int height)
  {
    this.x = x;
    this.y = y;
    this.width = width;
    this.height = height;
  }
}

// End of Bounded.java
