/*
 * Level.java - A level
 * Copyright (C) 2000 Romain Guy
 * guy.romain@bigfoot.com
 * www.jext.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/**
 * <code>Level</code> contains a level.
 * @author Romain Guy <guy.romain@bigfoot.com>
 * @version 1.0
 */

public class Level
{
  // the allowed space for a level name
  public static final int NAME_SPACE = 12;
  // level name
  private String name;
  // level datas
  private byte[] level;
  // high score
  private byte[] high;

  public Level(byte[] high, String name, byte[] level)
  {
    this.high = high;
    this.name = name;
    this.level = level;
  }

  public byte[] getHighScore()
  {
    return high;
  }

  public String getName()
  {
    return name;
  }

  public byte[] getLevel()
  {
    return level;
  }
}

// End of Level.java
